# BEGIN SourceDeps(oneline):
BuildRequires: libattr-devel libsowing-devel perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_name Linux-UserXAttr
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt4
Summary: Support for extended file attributes on Linux
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/O/OP/OPI/%{module_name}-%{version}.tar.gz

%description
This module implements a very thin layer around the extended attributes
syscalls on Linux. See the setxattr(2) manpage, the getxattr(2) manpage, the listxattr(2) manpage and
the removexattr(2) manpage for more information.

Due to varying support in different kernels the test suite of this module
is really simple. It verfies that the functions and constants are exported
but does not call the actual syscalls. If you smell a wumpus try `strace',
e.g.:

 strace perl -MLinux::UserXAttr=:all -le 'setxattr qw/. user.name value/'

and look up the syscall like:

 setxattr(".", "user.name", "value", 5, 0) = 0

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/L*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.02-alt4
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.02-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.02-alt2
- rebuild with perl 5.30

* Sat Mar 16 2019 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

